<?php

namespace App\Http\Middleware;

use App\Models\CajaMovimiento;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
use Symfony\Component\HttpFoundation\Response;

class CajaValidate
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {

        if(CajaMovimiento::cajaInicial()->count())
        {
            return $next($request);
        }
        else
        {
            return redirect(route('dashboard'));
        }
    }
}
